LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-26-2007, 03:23 PM   #1
Learath
LQ Newbie
 
Registered: Oct 2007
Posts: 5

Rep: Reputation: 0
missing /build in my kernel version dir so i can't install madwifi


Hi,
I have a problem with the madwifi 0.9.3.3.
I don't have the required directory (/build) in my kernel directory so I'm not able to use the command the make command, it does just return:

/bin/sh: line 0: cd: /lib/modules/2.6.22-2-amd64/build: the file or directory don't exist.
Makefile.inc:66: *** /lib/modules/2.6.22-2-amd64/build is mising please set KERNELPATH. Stopping

I can't find any other kernelpath with a /build in it.

I'm running Debian 4.0 with Gnome the kernel is 2.6.22-2-amd64.

Can anyone help me with this problem?
 
Old 10-26-2007, 03:43 PM   #2
farslayer
LQ Guru
 
Registered: Oct 2005
Location: Willoughby, Ohio
Distribution: linuxdebian
Posts: 7,232
Blog Entries: 5

Rep: Reputation: 190Reputation: 190
aptitude update
aptitude keep-all
aptitude install build-essential module-assistant
m-a update
m-a prepare


That will download and install the essential build environment, all the proper headers, etc. for your running kernel. you should have no trouble compiling your driver module after that.

then try your make command again..

Alternately you could just continue with module-assistant to build and install your madwifi driver module.

m-a a-i madwifi

Which will grab the madwifi source, compile the module, and install it in it's proper place..

m-a = module-assistant
a-i = auto-install
just in case you wondered what those short commands stood for..

Last edited by farslayer; 10-26-2007 at 03:45 PM.
 
Old 10-26-2007, 06:21 PM   #3
Learath
LQ Newbie
 
Registered: Oct 2007
Posts: 5

Original Poster
Rep: Reputation: 0
Thanks for the quick response!

My wireless card works fine now.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Madwifi error - could not detect kernel version austinramsay SUSE / openSUSE 13 07-14-2007 10:41 AM
Missing madwifi-kernel-2.6.17-14mdv ? RVDowning Mandriva 9 05-22-2007 09:11 AM
kernel build problems -how to install older gcc version? kpachopoulos Fedora 3 07-04-2005 09:56 AM
How to install the CVS version of madwifi? Coume Linux - Wireless Networking 0 05-29-2004 07:17 AM


All times are GMT -5. The time now is 10:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration